# Genesis Hosting Transparency Statement

At Genesis Hosting, we believe that trust is earned — not assumed.  
That’s why we’re upfront about what powers our platform and how we protect your services.

---

## 🧱 Infrastructure You Can Count On

We provision VPS environments on battle-tested cloud infrastructure from providers like **Linode**. These data centers offer:

- ✅ Reliable hardware  
- 🌐 Global network reach  
- 🕒 99.9%+ hardware uptime SLAs  

But we don’t stop there — we don’t just hand you a cloud box and walk away.

---

## 🛡 We Add What Cloud Alone Can’t

Every Genesis VPS is:

- 🔐 Hardened at the OS level (SSH keys, firewalls, fail2ban)  
- 💾 Integrated into our backup and disaster recovery platform  
- 📦 Monitored and optionally snapshotted offsite  
- 💬 Supported by real humans — not ticket purgatory  

---

## 💡 What You’re Really Paying For

We don’t resell “raw” VPS slices. We provide:

- Sysadmin-grade support  
- Verified DR and offsite backup protection  
- Snapshot + restore capabilities  
- Service monitoring and uptime validation  

We use trusted cloud metal as a foundation — then build **Genesis resilience** on top of it.

---

## 🤝 Want a Bare VPS? We’re Not Your Host.  
### Want a Resilient One? Welcome to Genesis.

We’re here to make sure your stuff *stays online*, *comes back up*, and *has a human watching over it*.

---

# 💵 Genesis VPS Pricing

| Package    | Specs                                  | Genesis Price     | Ideal For                               |
|------------|-----------------------------------------|--------------------|------------------------------------------|
| `micro`    | 1 CPU / 1GB RAM / 25GB SSD              | **$9/month**       | Relays, bots, cron jobs, light apps      |
| `safe`     | 2 CPU / 4GB RAM / 80GB SSD              | **$19/month**      | General-purpose, DR-ready                |
| `mastodon` | 4 CPU / 8GB RAM / 160GB SSD             | **$34–39/month**   | Mastodon, SPL, media-heavy apps          |
| `ultra`    | 4 Dedicated CPU / 8GB RAM / 160GB SSD   | **$55–65/month**   | High performance apps, DB workloads      |

---

### ➕ Optional Add-Ons

- Daily snapshot + rollback: **+$5/mo**  
- Weekly DR restore drill: **+$7/mo**  
- Telegram alerting + uptime stats: **+$3/mo**  
- Genesis Admin SLA Support: **+$10/mo**

---

 
Need help choosing? Ping us — real humans respond.
