# Genesis Admin SLA Support Policy

For clients subscribed to the **Genesis Admin SLA Support** tier ($10/month), we offer elevated support priority and limited hands-on assistance beyond standard infrastructure management.

---

## ✅ What’s Included

| Feature                     | Description                                                                 |
|-----------------------------|-----------------------------------------------------------------------------|
| **Priority Support**        | Your issues are handled ahead of non-SLA users                              |
| **Response Window**         | We aim to respond within 2–4 hours during SLA hours                         |
| **Basic Troubleshooting**   | Includes disk usage, load issues, stuck processes, reboot help              |
| **Snapshot Assist**         | We'll manually snapshot your instance on request before major changes      |
| **Log Check & App Restart** | We’ll review system logs and restart your services when requested           |

---

## 🕒 SLA Hours

> **Monday–Saturday: 10:00 AM – 10:00 PM ET**  
> Responses outside this window are best effort — not guaranteed.

---

## ❌ What’s Not Included

- Deep debugging of custom app code (e.g., your Laravel, Node, or Python stack)
- Managing third-party services not provisioned by Genesis
- 24/7 paging or phone support (unless you upgrade to Enterprise tier — coming soon)
- SLA outside the hours above

---

## 📬 How to Get Help

1. Open a support ticket or send a Telegram message to our admin channel  
2. Include your VPS label and a brief description of the issue  
3. We’ll confirm receipt and begin work within SLA windows

---

## 🧠 Summary

> SLA support gives you confidence that a real sysadmin will prioritize your issue — quickly, reliably, and with care.

For more details, email `support@sshjunkie.com` or open a Genesis Hosting support request.

---

Generated by `genesisctl sla-policy`
